Сайт | Скачать | Видео | Wiki

Автор Тема: Пакет локализации для Puppy.  (Прочитано 24752 раз)

0 Пользователей и 1 Гость просматривают эту тему.

Оффлайн rodin.s

  • Почетный участник
  • Ветеран
  • *
  • Сообщений: 1179
  • Репутация: +96/-0
Re:Пакет локализации для Woof.
« Ответ #15 : 30 Октябрь 2012, 22:36:18 »
Для русской версии Precise-5.4 использовался пакет локализации langpack_ru-20121024.pet, а также пакет с некоторыми дополнительными приложениями во вложении.
« Последнее редактирование: 30 Октябрь 2012, 22:37:51 от rodin.s »

Оффлайн rodin.s

  • Почетный участник
  • Ветеран
  • *
  • Сообщений: 1179
  • Репутация: +96/-0
Re:Пакет локализации для Woof.
« Ответ #16 : 05 Декабрь 2012, 02:05:13 »
Обновляю пакет локализации для woof. Эта версия совместима с Precise-5.4.2, Slacko-5.4, а также несколькими другими дистрибутивами собранными на последнем Woof.
langpack_ru-20121202.pet

Оффлайн andy-voit

  • Активный участник
  • Ветеран
  • ****
  • Сообщений: 1251
  • Репутация: +60/-0
  • Расту!!!
Re:Пакет локализации для Woof.
« Ответ #17 : 05 Декабрь 2012, 09:38:42 »
new2dir забыт :(
XFCE forever!!!
Перешел на приставку 3vi. Теперь издеваюсь над ней! :)

Оффлайн rodin.s

  • Почетный участник
  • Ветеран
  • *
  • Сообщений: 1179
  • Репутация: +96/-0
Re:Пакет локализации для Woof.
« Ответ #18 : 05 Декабрь 2012, 11:32:12 »
New2dir я и правда забыл. Сейчас не очень много времени и я решил на нём сэкономить. Это консольный инструмент для разработчиков и его перевод не так важен, хотя, наверное, сделаю. Только в этот пакет я бы его всё равно не включал. Все свои переводы, которые не входят в woof, я включаю в отдельный пакет. Для Precise-5.4.2 - во вложении.

Оффлайн Mario

  • Новичок
  • *
  • Сообщений: 5
  • Репутация: +0/-0
Re:Пакет локализации для Woof.
« Ответ #19 : 05 Декабрь 2012, 16:08:58 »
Обновляю пакет локализации для woof. Эта версия совместима с Precise-5.4.2, Slacko-5.4, а также несколькими другими дистрибутивами собранными на последнем Woof.
langpack_ru-20121202.pet

Уважаемый rodin.s, уже долгое время пользуюсь Вашей локализацией.
Большое Вам спасибо.Но в последнее время Вы стали выкладывать файлы упакованном виде. Не могли бы Вы рассказать, как правильно распаковывать их, или выкладывать, как раньше, с расширением .pet.
Спасибо. 

Оффлайн rodin.s

  • Почетный участник
  • Ветеран
  • *
  • Сообщений: 1179
  • Репутация: +96/-0
Re:Пакет локализации для Woof.
« Ответ #20 : 05 Декабрь 2012, 16:47:22 »
Это обычные pet-пакеты. Они устанавливаются в систему. Распаковать можно в Puppy:
pet2tgz имя_пакета.pet
tar xzvf имя_пакета.tar.gz
и запаковать обратно:
tar cf имя_каталога_пакета.tar имя_каталога_пакета
gzip имя_каталога_пакета.tar
tgz2pet имя_каталога_пакета.tar.gz

Оффлайн Mario

  • Новичок
  • *
  • Сообщений: 5
  • Репутация: +0/-0
Re:Пакет локализации для Woof.
« Ответ #21 : 05 Декабрь 2012, 17:20:23 »
Это обычные pet-пакеты. Они устанавливаются в систему. Распаковать можно в Puppy

В том то и дело, что обычный .pet (langpack_ru-20120720)устанавливается без проблем, а последние пакеты с проблемами. например, после установки последнего пакета не работают четыре кнопки в меню "Выключить". Не могли бы Вы выложить обычный .pet? (для проверки). Спасибо.
« Последнее редактирование: 05 Декабрь 2012, 17:22:53 от Mario »

Оффлайн rodin.s

  • Почетный участник
  • Ветеран
  • *
  • Сообщений: 1179
  • Репутация: +96/-0
Re:Пакет локализации для Woof.
« Ответ #22 : 05 Декабрь 2012, 17:50:03 »
Все пакеты делаю по одной технологии, которую описал выше. Никаких особенностей нет. Также у меня нет проблем с кнопками после установки этого пакета в Precise-5.4.2 и в Slacko-5.4. Возможно, исправить работу кнопок поможет:
fixmenus
jwm -restart
Возможно, также, нужно просто дольше подождать пока не появится сообщение о полной установке пакета, и только затем перезагружать X, чего требует этот пакет.
А вообще-то да. Барри изменил что-то в pinstall.sh. Это могло как-то повлиять и вызвать несовместимость со старыми сборками. Я могу попробовать вернуть старый pinstall.sh.  
Хорошо, я поставил старый pinstall.sh. Это только моё предположение, но возможно дело в этом. У меня работает также, как и с новым.
langpack_ru-20121205.pet
« Последнее редактирование: 05 Декабрь 2012, 18:26:11 от rodin.s »

Оффлайн Mario

  • Новичок
  • *
  • Сообщений: 5
  • Репутация: +0/-0
Re:Пакет локализации для Woof.
« Ответ #23 : 05 Декабрь 2012, 18:32:57 »
Просто заменил в имени файла Вашего нового пакета (последняя цифра 02) расширение на  .pet.
Работает нормально.
Спасибо.

Зы Сейчас попробую цифру 05. Если будут проблемы, то напишу, если не будет - промолчу.
Еще раз спасибо.
« Последнее редактирование: 05 Декабрь 2012, 18:40:06 от Mario »

Оффлайн rodin.s

  • Почетный участник
  • Ветеран
  • *
  • Сообщений: 1179
  • Репутация: +96/-0
Re:Пакет локализации для Woof.
« Ответ #24 : 05 Декабрь 2012, 18:47:25 »
Ничего не понимаю... Хотя, в принципе, Opera может менять расширение с pet на tar.gz при загрузке.

Оффлайн Mario

  • Новичок
  • *
  • Сообщений: 5
  • Репутация: +0/-0
Re:Пакет локализации для Woof.
« Ответ #25 : 05 Декабрь 2012, 19:48:45 »
Ничего не понимаю... Хотя, в принципе, Opera может менять расширение с pet на tar.gz при загрузке.

А Вы попробуйте, я так же не ожидал.
 Так, решил поэкспериментировать, просто переименовал расширение в проводнике.
Цифра 05 (переименованная) так же хорошо работает.

Для русской версии Precise-5.4 использовался пакет локализации langpack_ru-20121024.pet, а также пакет с некоторыми дополнительными приложениями во вложении.

Уважаемый rodin.s, хотел попробовать этот образ, но к сожалению он PAE.
(просто не грузится)
Не могли бы Вы его выложить не PAE.?
Спасибо.
« Последнее редактирование: 05 Декабрь 2012, 20:09:54 от Mario »

Оффлайн rodin.s

  • Почетный участник
  • Ветеран
  • *
  • Сообщений: 1179
  • Репутация: +96/-0
Re:Пакет локализации для Woof.
« Ответ #26 : 05 Декабрь 2012, 20:21:06 »
Версия без PAE называется Precise-5.4.2retro. Английскую версию можно скачать отсюда (в конце сообщения Барри) и установить пакеты локализации (langpack_ru-20121202 и i18n_precise542-121202) . Так быстрее получится. У меня нет этой версии. Мне нужно её скачать, установить все пакеты, запустить ремастеринг, выложить в Интернет. Это займёт много времени.

Оффлайн imp

  • /dev/бубен
  • Ветеран
  • *****
  • Сообщений: 542
  • Репутация: +25/-1
  • Пусть воюют другие
Re:Пакет локализации для Woof.
« Ответ #27 : 06 Декабрь 2012, 03:19:39 »
Ничего не понимаю... Хотя, в принципе, Opera может менять расширение с pet на tar.gz при загрузке.

Может. И меняет. На *.gz. Правда, только с некоторых ресурсов.
"Просто добавь воды" - переименовка все решает.
Компьютер имеет то преимущество перед мозгом, что им пользуются.

Оффлайн vityk

  • Старожил
  • ****
  • Сообщений: 356
  • Репутация: +24/-0
Re:Пакет локализации для Woof.
« Ответ #28 : 06 Декабрь 2012, 12:28:58 »
Здесь я указывал, как "познакомить" Оперу с pet.

Оффлайн rodin.s

  • Почетный участник
  • Ветеран
  • *
  • Сообщений: 1179
  • Репутация: +96/-0
Re:Пакет локализации для Woof.
« Ответ #29 : 26 Декабрь 2012, 18:27:33 »
Обновляю пакет локализации. Эта версия использовалась в Slacko-5.4. Добавлены mo-файлы некоторых, специфичных для Slacko приложений.
langpack_ru-20121224.pet